Bug 78281 - New port:japanese/prime (a japanese kana-kanji input method program)
New port:japanese/prime (a japanese kana-kanji input method program)
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: nork
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-02 08:40 UTC by otsuji
Modified: 2005-05-10 16:51 UTC (History)
0 users

See Also:


Attachments
file.shar (6.65 KB, text/plain)
2005-03-02 08:40 UTC, otsuji
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description otsuji 2005-03-02 08:40:13 UTC
The prime is a japanese kana-kanji conversion program.
It stands for PRedictive Input Method Editor.
Comment 1 gen_otsuji 2005-03-02 09:48:11 UTC
I'm sorry. The shar was broken, because of my settings of mailer.

So, again, here is "prime.shar".(And some error was fixed.)

# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	prime
#	prime/files
#	prime/files/patch-Makefile.am
#	prime/distinfo
#	prime/Makefile
#	prime/pkg-descr
#	prime/pkg-plist
#
echo c - prime
mkdir -p prime > /dev/null 2>&1
echo c - prime/files
mkdir -p prime/files > /dev/null 2>&1
echo x - prime/files/patch-Makefile.am
sed 's/^X//' >prime/files/patch-Makefile.am << 'END-of-prime/files/patch-Makefile.am'
X--- Makefile.am.orig	Sat Mar 27 05:26:34 2004
X+++ Makefile.am	Sat Apr 24 21:06:09 2004
X@@ -8,7 +8,7 @@
X # You can redistribute it and/or modify it under the terms of 
X # the GNU General Public License version 2.
X 
X-SUBDIRS = doc etc grammar lib src packaging
X+SUBDIRS = etc grammar lib src packaging
X EXTRA_DIST = autogen.sh prime.spec prime.spec.in prime.pc.in
X 
X pkgconfigdir = $(libdir)/pkgconfig
END-of-prime/files/patch-Makefile.am
echo x - prime/distinfo
sed 's/^X//' >prime/distinfo << 'END-of-prime/distinfo'
XMD5 (prime-0.9.4-rc1.tar.gz) = 7be6bcdb43091cb294c575426cc52eb0
XSIZE (prime-0.9.4-rc1.tar.gz) = 276511
XMD5 (prime-0.9.4-rc1_uim-0.4.6_1.scm) = 3e3937c62e23ae684adedaa4fe7d9e58
XSIZE (prime-0.9.4-rc1_uim-0.4.6_1.scm) = 74819
END-of-prime/distinfo
echo x - prime/Makefile
sed 's/^X//' >prime/Makefile << 'END-of-prime/Makefile'
X# New ports collection makefile for:	PRIME
X# Date created:		6 Jun 2003
X# Whom:			Gen Otsuji<otsuji@users.sourceforge.jp>
X#
X# $FreeBSD$
X#
X
XPORTNAME=prime
XDISTVERSION=0.9.4-rc1
XCATEGORIES=japanese
XMASTER_SITES=	http://prime.sourceforge.jp/src/
XDISTFILES=${EXTRACT_ONLY} ${UIM_SCM}
XUIM_SCM=${PORTNAME}-${DISTVERSION}_uim-0.4.6_1.scm
XEXTRACT_ONLY=${DISTNAME}${EXTRACT_SUFX}
X
XMAINTAINER=otsuji@users.sourceforge.jp
XCOMMENT=PRedictive Input Method Editor(PRIME)
X
XLIB_DEPENDS=	sary.9:${PORTSDIR}/textproc/sary
XRUN_DEPENDS=	${RUBY_SITEARCHLIBDIR}/sary.so:${PORTSDIR}/textproc/ruby-sary \
X		${RUBY_ARCHLIBDIR}/iconv.so:${PORTSDIR}/converters/ruby-iconv \
X		${LOCALBASE}/share/emacs/site-lisp/init-suikyo.el:../suikyo \
X		${LOCALBASE}/share/prime/dict/prime-dict:../prime-dict
X
XUSE_RUBY=	yes
XRUBY_WITH_PTHREAD=	yes
X
XGNU_CONFIGURE=	yes
XCONFIGURE_ARGS=	--with-rubydir=${RUBY_SITELIBDIR}
XUSE_AUTOMAKE_VER=	19
XUSE_AUTOCONF_VER=	259
X
Xpost-install:
X.if !exists(${X11BASE}/share/uim/prime.scm.uim) && exists(${X11BASE}/share/uim/prime.scm)
X	${MV} ${X11BASE}/share/uim/prime.scm ${X11BASE}/share/uim/prime.scm.uim
X.endif
X	${INSTALL_DATA} ${DISTDIR}/${UIM_SCM} ${X11BASE}/share/uim/prime.scm
X	cd ${WRKSRC}; ${MAKE} install-etc
X.if !defined(NOPORTDOCS)
X	cd ${WRKSRC}/doc; ${MAKE} install
X.endif
X
X.include <bsd.port.mk>
END-of-prime/Makefile
echo x - prime/pkg-descr
sed 's/^X//' >prime/pkg-descr << 'END-of-prime/pkg-descr'
XPRIME is Japanese PRedictive Input Method Editor.
XFor more detail, please see the following web page.
X
XAuthor:	Hiroyuki Komatsu <komatsu@taiyaki.org>
XWWW:	http://taiyaki.org/prime/
END-of-prime/pkg-descr
echo x - prime/pkg-plist
sed 's/^X//' >prime/pkg-plist << 'END-of-prime/pkg-plist'
Xbin/prime
Xbin/prime-dict-convert
Xbin/prime-dict-index
Xbin/prime-refresh
Xbin/prime-userdict-convert
Xbin/prime-userdict-update
Xlib/pkgconfig/prime.pc
Xetc/prime/Custom_prime.rb
X@unexec rmdir %D/etc/prime 2>/dev/null || true
Xshare/prime/grammar/prime-grammar
Xshare/prime/makedict/canna2prime.table
X@unexec rmdir %D/share/prime/grammar 2>/dev/null || true
X@unexec rmdir %D/share/prime/makedict 2>/dev/null || true
X%%RUBY_SITELIBDIR%%/prime/engine/engine-adambnc.rb
X%%RUBY_SITELIBDIR%%/prime/engine/engine-alphabet.rb
X%%RUBY_SITELIBDIR%%/prime/engine/engine-basic.rb
X%%RUBY_SITELIBDIR%%/prime/engine/engine-english.rb
X%%RUBY_SITELIBDIR%%/prime/engine/engine-network.rb
X%%RUBY_SITELIBDIR%%/prime/engine/engine-number.rb
X%%RUBY_SITELIBDIR%%/prime/engine/engine-personaldict.rb
X%%RUBY_SITELIBDIR%%/prime/engine/engine-sary.rb
X%%RUBY_SITELIBDIR%%/prime/engine/engine-userdict.rb
X%%RUBY_SITELIBDIR%%/prime/engine/engine-userdict2-en.rb
X%%RUBY_SITELIBDIR%%/prime/engine/engine-userdict2-lib.rb
X%%RUBY_SITELIBDIR%%/prime/engine/engine-userdict2-static.rb
X%%RUBY_SITELIBDIR%%/prime/engine/engine-userdict2.rb
X%%RUBY_SITELIBDIR%%/prime/engine/engine.rb
X%%RUBY_SITELIBDIR%%/prime/grammar/grammar.rb
X%%RUBY_SITELIBDIR%%/prime/makedict/basicdict.rb
X%%RUBY_SITELIBDIR%%/prime/makedict/dictformat-adambnc.rb
X%%RUBY_SITELIBDIR%%/prime/makedict/dictformat-cannadic.rb
X%%RUBY_SITELIBDIR%%/prime/makedict/dictformat-pubdic.rb
X%%RUBY_SITELIBDIR%%/prime/makedict/dictformat-skkdic.rb
X%%RUBY_SITELIBDIR%%/prime/makedict/dictformat-text.rb
X%%RUBY_SITELIBDIR%%/prime/makedict/dictformat-usage.rb
X%%RUBY_SITELIBDIR%%/prime/makedict/dictformat-wordlist.rb
X%%RUBY_SITELIBDIR%%/prime/makedict/dictformat-wordnet.rb
X%%RUBY_SITELIBDIR%%/prime/makedict/dictformat.rb
X%%RUBY_SITELIBDIR%%/prime/makedict/prime-sary.rb
X%%RUBY_SITELIBDIR%%/prime/makedict/userdict.rb
X%%RUBY_SITELIBDIR%%/prime/array-agent.rb
X%%RUBY_SITELIBDIR%%/prime/composer.rb
X%%RUBY_SITELIBDIR%%/prime/prime-config.rb
X%%RUBY_SITELIBDIR%%/prime/prime-japanese.rb
X%%RUBY_SITELIBDIR%%/prime/prime-mixed.rb
X%%RUBY_SITELIBDIR%%/prime/prime.rb
X%%RUBY_SITELIBDIR%%/prime/prime08.rb
X%%RUBY_SITELIBDIR%%/prime/prime2.rb
X%%RUBY_SITELIBDIR%%/prime/protocol.rb
X%%RUBY_SITELIBDIR%%/prime/server.rb
X%%RUBY_SITELIBDIR%%/prime/session-english.rb
X%%RUBY_SITELIBDIR%%/prime/session-japanese.rb
X%%RUBY_SITELIBDIR%%/prime/session-prime08.rb
X%%RUBY_SITELIBDIR%%/prime/session.rb
X%%RUBY_SITELIBDIR%%/prime/taiyaki.rb
X@unexec rmdir %D/%%RUBY_SITELIBDIR%%/prime/engine 2>/dev/null || true
X@unexec rmdir %D/%%RUBY_SITELIBDIR%%/prime/grammar 2>/dev/null || true
X@unexec rmdir %D/%%RUBY_SITELIBDIR%%/prime/makedict 2>/dev/null || true
X@unexec rmdir %D/%%RUBY_SITELIBDIR%%/prime 2>/dev/null || true
X%%PORTDOCS%%share/doc/prime/examples/Custom_prime.rb
X%%PORTDOCS%%share/doc/prime/figures/dict-format.png
X%%PORTDOCS%%share/doc/prime/figures/predictive-input.png
X%%PORTDOCS%%share/doc/prime/figures/tan-bunsetsu.png
X%%PORTDOCS%%share/doc/prime/dictionary.html
X%%PORTDOCS%%share/doc/prime/index.html
X%%PORTDOCS%%share/doc/prime/install.html
X%%PORTDOCS%%share/doc/prime/prime.html
X%%PORTDOCS%%share/doc/prime/usage.html
X%%PORTDOCS%%@unexec rmdir %D/share/doc/prime/examples 2>/dev/null || true
X%%PORTDOCS%%@unexec rmdir %D/share/doc/prime/figures 2>/dev/null || true
X%%PORTDOCS%%@unexec rmdir %D/share/doc/prime 2>/dev/null || true
X@cwd %%X11BASE%%
Xshare/uim/prime.scm
X@unexec mv -f %D/share/uim/prime.scm.uim %D/share/uim/prime.scm || true
END-of-prime/pkg-plist
exit
Comment 2 nork freebsd_committer 2005-05-07 07:26:22 UTC
Responsible Changed
From-To: freebsd-ports-bugs->nork

I'll handle this.
Comment 3 nork freebsd_committer 2005-05-07 07:26:22 UTC
Responsible Changed
From-To: freebsd-ports-bugs->nork

I'll handle this.
Comment 4 nork freebsd_committer 2005-05-07 07:26:22 UTC
Responsible Changed
From-To: freebsd-ports-bugs->nork

I'll handle this.
Comment 5 nork freebsd_committer 2005-05-10 16:51:01 UTC
State Changed
From-To: open->closed

Committed, thanks!
Comment 6 nork freebsd_committer 2005-05-10 16:51:01 UTC
State Changed
From-To: open->closed

Committed, thanks!
Comment 7 nork freebsd_committer 2005-05-10 16:51:01 UTC
State Changed
From-To: open->closed

Committed, thanks!